Recommended update for yast2-network

SUSE Recommended Update: Recommended update for yast2-network
Announcement ID: SUSE-RU-2019:0034-1
Rating: moderate
References: #1103712 #1105230 #1107470 #1108852
Affected Products:
  • SUSE Linux Enterprise Server for SAP Installer 12-SP3
  • SUSE Linux Enterprise Server Installer 12-SP3
  • SUSE Linux Enterprise Server 12-SP3
  • SUSE Linux Enterprise Desktop Installer 12-SP3
  • SUSE Linux Enterprise Desktop 12-SP3

An update that has four recommended fixes can now be installed.

Description:

This update for yast2-network provides the following fixes:

  • Fixes to the networking AutoYaST schema. (bsc#1103712, bsc#1108852) * Permitted the use of 'listentry' element in list entries. * Added missed s390 device 'layer2' boolean element.
  • Does no longer crash with internal error when 0.0.0.0 netmask is used in the routing tab. (bsc#1105230)
  • Fix a problem that was causing duplicate entry for network devices in 70-persistent-net-rules. (bsc#1107470)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server for SAP Installer 12-SP3:
    zypper in -t patch SUSE-SLE-SAP-INSTALLER-12-SP3-2019-34=1
  • SUSE Linux Enterprise Server Installer 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-INSTALLER-12-SP3-2019-34=1
  • SUSE Linux Enterprise Server 12-SP3:
    zypper in -t patch SUSE-SLE-SERVER-12-SP3-2019-34=1
  • SUSE Linux Enterprise Desktop Installer 12-SP3:
    zypper in -t patch SUSE-SLE-DESKTOP-INSTALLER-12-SP3-2019-34=1
  • SUSE Linux Enterprise Desktop 12-SP3:
    zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2019-34=1

Package List:

  • SUSE Linux Enterprise Server for SAP Installer 12-SP3 (noarch):
    • yast2-network-3.2.55-2.42.1
  • SUSE Linux Enterprise Server Installer 12-SP3 (noarch):
    • yast2-network-3.2.55-2.42.1
  • SUSE Linux Enterprise Server 12-SP3 (noarch):
    • yast2-network-3.2.55-2.42.1
  • SUSE Linux Enterprise Desktop Installer 12-SP3 (noarch):
    • yast2-network-3.2.55-2.42.1
  • SUSE Linux Enterprise Desktop 12-SP3 (noarch):
    • yast2-network-3.2.55-2.42.1

References: